## org.apache.lucene.queryParser.surround.query
Class SpanNearClauseFactory

    java.lang.Object
      org.apache.lucene.queryParser.surround.query.SpanNearClauseFactory

    public class SpanNearClauseFactory

extends Object

Constructor Summary
`SpanNearClauseFactory(org.apache.lucene.index.IndexReader reader, String fieldName, BasicQueryFactory qf)`

Method Summary
`void` `addSpanNearQuery(org.apache.lucene.search.Query q)`
`protected void` `addSpanQueryWeighted(org.apache.lucene.search.spans.SpanQuery sq, float weight)`
`void` `addTermWeighted(org.apache.lucene.index.Term t, float weight)`
`void` `clear()`
`BasicQueryFactory` `getBasicQueryFactory()`
`String` `getFieldName()`
`org.apache.lucene.index.IndexReader` `getIndexReader()`
`org.apache.lucene.index.TermEnum` `getTermEnum(String termText)`
`org.apache.lucene.search.spans.SpanQuery` `makeSpanNearClause()`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpanNearClauseFactory

    public SpanNearClauseFactory(org.apache.lucene.index.IndexReader reader,
                                 String fieldName,
                                 BasicQueryFactory qf)

Method Detail

### getIndexReader

    public org.apache.lucene.index.IndexReader getIndexReader()

### getFieldName

    public String getFieldName()

### getBasicQueryFactory

    public BasicQueryFactory getBasicQueryFactory()

### getTermEnum

    public org.apache.lucene.index.TermEnum getTermEnum(String termText)
                                                 throws IOException

  Throws:
    `IOException`

### size

    public int size()

### clear

    public void clear()

### addSpanQueryWeighted

    protected void addSpanQueryWeighted(org.apache.lucene.search.spans.SpanQuery sq,
                                        float weight)

### addTermWeighted

    public void addTermWeighted(org.apache.lucene.index.Term t,
                                float weight)
                         throws IOException

  Throws:
    `IOException`

### addSpanNearQuery

    public void addSpanNearQuery(org.apache.lucene.search.Query q)

### makeSpanNearClause

    public org.apache.lucene.search.spans.SpanQuery makeSpanNearClause()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.